id: wordpress-duplicator

info:
  name: Duplicator – Backups & Migration Plugin – Cloud Backups, Scheduled Backups, & More Detection
  author: ricardomaia
  severity: info
  reference:
    - https://wordpress.org/plugins/duplicator/
  metadata:
    plugin_namespace: duplicator
    wpscan: https://wpscan.com/plugin/duplicator
  tags: tech,wordpress,wp-plugin,top-100,top-200

http:
  - method: GET
    path:
      - "{{BaseURL}}/wp-content/plugins/duplicator/readme.txt"

    payloads:
      last_version: helpers/wordpress/plugins/duplicator.txt

    extractors:
      - type: regex
        part: body
        internal: true
        name: internal_detected_version
        group: 1
        regex:
          - '(?i)Stable.tag:\s?([\w.]+)'

      - type: regex
        part: body
        name: detected_version
        group: 1
        regex:
          - '(?i)Stable.tag:\s?([\w.]+)'

    matchers-condition: or
    matchers:
      - type: dsl
        name: "outdated_version"
        dsl:
          - compare_versions(internal_detected_version, concat("< ", last_version))

      - type: regex
        part: body
        regex:
          - '(?i)Stable.tag:\s?([\w.]+)'
# digest: 4a0a00473045022058a42cc47c016c1378b1313d57769244eb2550e93519c10e0d1fd495b95004f902210086e3a37c9bf04e3ee7e36be23113d8d2e320acaaab381ec5e4db02621bcecbe1:922c64590222798bb761d5b6d8e72950